Bug 2552 - Incorrect return from float j1 (0X1.3FFP+74)
Summary: Incorrect return from float j1 (0X1.3FFP+74)
Status: RESOLVED FIXED
Alias: None
Product: glibc
Classification: Unclassified
Component: math (show other bugs)
Version: unspecified
: P2 normal
Target Milestone: ---
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-04-12 22:30 UTC by H.J. Lu
Modified: 2019-04-10 09:17 UTC (History)
2 users (show)

See Also:
Host: x86_64-unknown-linux-gnu
Target: x86_64-unknown-linux-gnu
Build: x86_64-unknown-linux-gnu
Last reconfirmed:
fweimer: security-


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description H.J. Lu 2006-04-12 22:30:18 UTC
Failure: Test: j1 (0X1.3FFP+74) == 0X1.FFFFA2P-40
Result:
 is:          0.00000000000000000000e+00   0x0.00000000000000000000p+0
 should be:   1.81898430779564579396e-12   0x1.ffffa200000000000000p-40
 difference:  1.81898430779564579396e-12   0x1.ffffa200000000000000p-40
 ulp       :  16777169.0000
 max.ulp   :  0.0000
Comment 1 Ulrich Drepper 2006-04-23 17:52:57 UTC
Suspended until somebody comes up with a patch.
Comment 2 Joseph Myers 2012-02-23 02:49:58 UTC
See http://sourceware.org/ml/libc-alpha/2012-02/msg00512.html for analysis.
Comment 3 Joseph Myers 2012-03-16 20:12:47 UTC
Fixed by:

commit c36e1d2369f149a64c759f3ad6f4cc5a03b03b62
Author: Joseph Myers <joseph@codesourcery.com>
Date:   Fri Mar 16 20:08:02 2012 +0000

    Disable Bessel function TLOSS errors in POSIX mode.